For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create Producer Notification Rule

Makbuz bildirim kuralı oluşturur.

post

Makbuz bildirim kuralı oluşturmak için bu ucu kullanabilirsiniz.

Authorizations
HTTPRequired

API anahtar� giriniz

Body
Responses
200

Makbuz bildirim kuralı oluşturur.

application/json
booleanOptional
post/Notification
POST /eproducer/Notification HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 248

{
  "NotificationDto": {
    "ID": 1,
    "RuleName": "text",
    "Rules": [
      {
        "Property": "DocumentProfile",
        "Operator": "GreaterOrEqual",
        "ValueFirst": "text",
        "ValueSecond": "text"
      }
    ],
    "Contact": [
      {
        "NotificationValue": "text",
        "NotificationValueType": "Whatsapp"
      }
    ],
    "IsActive": true
  }
}
true
var options = new RestClientOptions("https://apitest.nilvera.com")
{
    MaxTimeout = -1,
};

var client = new RestClient(options);
var request = new RestRequest("/eproducer/Notification", Method.Post);
request.AddHeader("Content-Type", "application/json");
request.AddHeader("Authorization", "Bearer APIKEY");

var body = new
{
    NotificationDto = new
    {
        ID = 0,
        RuleName = "string",
        Rules = new[]
        {
            new
            {
                Property = "DocumentProfile",
                Operator = "GreaterOrEqual",
                ValueFirst = "string",
                ValueSecond = "string"
            }
        },
        Contact = new[]
        {
            new
            {
                NotificationValue = "string",
                NotificationValueType = "Whatsapp"
            }
        },
        IsActive = true
    }
};

request.AddJsonBody(body);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);

Last updated